16 February 2024: Overview of changes in 2.41.3
================================================

* Fixed daemon buffer overflow #72
* Updated translations

15 October 2023: Overview of changes in 2.41.2
================================================

* Solaris
  - Fix build #47
* Linux
  - Change disk example read/write unit to bytes
  - Fixed potential Buffer overflow when reading disk stats
  - Changed disk read/write unit to bytes in example
* CI
  - Fixed CI by adding missing dependency


10 January 2023 : Overview of changes in 2.41.1
================================================

* FreeBSD
  - Build fixes
  - Support FreeBSD 13.0-CURRENT >= 1300062 vm_map_entry
* OpenBSD
  - Build fixes
* Linux
  - skip loop and rom devices
* Allow building with gettext >= 0.20
* Updated translations
* CI build setup


11 March 2019: Overview of changes in 2.40.0
================================================

* Fixed array and transfer annotations for documentation

18 February 2019: Overview of changes in 2.39.91

* Replace deprecated gnome-common with autoreconf

04 February 2019: Overview of changes in 2.39.90
================================================

* Updated translations
* FreeBSD:
  - added support for laundry memory
  - added support for ZFS ARC
* Fixed compile warnings
* Fix build on FreeBSD and darwin
* Linux:
  - get procmap doesn't need suid

11 September 2017: Overview of changes in 2.38.0
================================================

* Updated translations

04 September 2017: Overview of changes in 2.37.92
================================================

* Updated translations
* Code cleanup

07 August 2017: Overview of changes in 2.37.90
================================================

* Added reserved fields to the sysdeps struct
* Updated translations
* Fixed build failure in FreeBSD 11

22 May 2017: Overview of changes in 2.37.2
================================================

* Added support for per-process io monitoring
  * Linux
  * FreeBSD
* Updated translations
* Added nullpointer check
* Use unicode in translatable strings

20 March 2017: Overview of changes in 2.36.0
================================================

* Version bumped

13 March 2017: Overview of changes in 2.35.92
================================================

* Better output format for arrays

13 February 2017: Overview of changes in 2.35.90
================================================

* Linux:
  - Use dynamically allocated cpu buffer
  - Do not cache getpagesize()
  - Use faster g_ascii_isspace in tokenization
  - Ignore paragraphs not describing a CPU/core

* Updated translations
* Added more gettext options

16 January 2017: Overview of changes in 2.34.2
================================================

* Linux:
  - fill last_processor member

* Updated translations
* Added more gettext options

20 August 2016: Overview of changes in 2.34.1
================================================

* FreeBSD:
  - rewrite netload to use official APIs
  - mark wireless interfaces as such

* All
  - rename --with-libgtop-examples to --with-examples
  - use gettext instead of intltool/glib-gettext
  - added Language headers to the translations


Special thanks to Gleb Smirnoff, Antoine Brodin, Koop Mast and Ting-Wei Lan for
the FreeBSD fixes, to Javier Jardón for the gettext migration and to Piotr Drąg
for adding the Language headers.

22 March 2016: Overview of changes in 2.34.0
================================================

* Stable release

29 February 2016: Overview of changes in 2.33.91

* Updated translations
* Fix building on must-libc

18 January 2016: Overview of changes in 2.33.4

* On OpenBSD only PID 1 is special
* Call setlocale in main

14 December: Overview of changes in 2.33.3

* Fixed borken compilation on OpenBSD 
* Updated translations.

21 September 2015: Overview of changes in 2.32.0

* Stable release

14 September 2015: Overview of changes in 2.31.91
================================================
* Darwin:
  - Fixed build.

* All
  - GI docs fixes
  - include fixes
  - Updated translations

16 August 2015: Overview of changes in 2.31.90
=============================================
* ABI changes:
  - ABI was inconsistent on platforms like FreeBSD which make use of
    glibtop_machine. The ABI was actually different between the
    library and the server. Fixed this by simply always defining
    glibtop_machine in glibtop struct.
  - Add Pss and Swap members in glibtop_proc_mem.
  - This is the second ABI breakage in since 2.28 (the first one was
    bumping NCPU), there were no release for 2.30.

* FreeBSD:
  - proclist: exclude the "idle" kernel process when GLIBTOP_EXCLUDE_IDLE.
  - Remove extraneous glibtop_init() calls.

* Linux:
  - proc_mem: implement Pss and Swap.
  - Remove extraneous glibtop_init() calls.

* All:
  - Propagate the change that machine in struct glibtop is now a
    pointer. Hope that change doesn't break build on other platforms,
    I can only test Linux and FreeBSD.


5 August 2015: Overview of changes in 2.31.4
=============================================
* 71 commits !
* Implement a proper --enable-debug mode.
* FreeBSD:
	- procstate: set process name for kernel (pid=0)
	- procmap: get dev/inode for ZFS (no filename yet)
	- mem: rework memory usage to something more meaningful
	- proclist: don't report threads
	- proctime: fix CPU times
* Linux:
	- mem: use MemAvailable when available
	- mem: match `free`, report Slab as Cached.
	- support for x.y versionsmemory to match `free`
* Fix a lot of GI tags: it now works without crashing.
* Server and daemon binaries are now dynamically linked against their libgtop.
* Update a lot of examples/.
* Clean up some very old code.
* Updated translations.

Special thanks to Ting-Wei Lan for providing patches and feedback on FreeBSD.

22 June 2015: Overview of changes in 2.31.3
=============================================
* Numerous OpenBSD backend fixes.
* Fixed FreeBSD build issues.
* Implemented procaffinity support for NetBSD.
* Updated translations

19 August 2013: Overview of changes in 2.28.5
=============================================
* Fix numerous bugs in the OpenBSD backend.
* Updated translations.

30 August 2011: Overview of changes in 2.28.4
=============================================
* Fix numerous bugs in the FreeBSD backend.
* Split off OpenBSD code in its own backend, and fixes.
* Updated translations.

25 March 2011: Overview of changes in 2.28.3
================================================
* Fix build issue for strict linkers.
* Add Introspection support
* Cygwin fixes.
* FreeBSD: Fix get_mem() on 64-bit systems.
* Updated translations.

28 September 2010: Overview of changes in 2.28.2
================================================
* Updated translations.

30 March 2010: Overview of changes in 2.28.1
============================================
* Updated translations.

21 September 2009: Overview of changes in 2.28.0
================================================
* Updated translations.

25 May 2009: Overview of changes in 2.27.3
==========================================
* linux:
  - fixed format error.

3 May 2009: Overview of changes in 2.27.2
=========================================
* linux:
  - glibtop_get_proc_map: oops, fixed segfault.

3 May 2009: Overview of changes in 2.27.1
=========================================
* linux:
  - glibtop_get_proc_map is ~40% faster. This should be noticeable
    in system-monitor.
* New cygwin support.

13 April 2009: Overview of changes in 2.26.1
============================================
* linux:
  - glibtop_get_mounlist(...): also hide "none" fs.

1 Mars 2009: Overview of changes in 2.26.0
==========================================
* Nothing.

17 February 2009: Overview of changes in 2.25.91
================================================
* Synced with gnome-2-24.

19 January 2009: Overview of changes in 2.24.4
==============================================
* Fixed license: libgtop is GPL-2.

12 January 2009: Overview of changes in 2.24.3
==============================================
* linux:
  - fixed potential memory leak. Vincent Untz.
  - fixed read(2) usage. Should fix the missing cpus bug in system-monitor.
* darwin:
  - fixed build. "paul".

22 Septembre 2008: Overview of changes in 2.24.0
================================================
* Translation updates.

18 August 2008: Overview of changes in 2.23.90
==============================================
* freebsd:
  - updated port by Joe Marcus Clarke.

23 June 2008: Overview of changes in 2.23.4
===========================================
* linux:
  - Fixed and improved glibtop_get_fsusage with kernel >= 2.6.25.
    Closes #539360.

24 May 2008: Overview of changes in 2.23.2
==========================================
* glibtop_get_proc_open_files API can also lists IPv6 TCP sockets.
* glibtop_get_proc_affinity : new API to retrieve process CPU affinity.

(Let's hope one day i'll find the gtk-doc documentation ...)

* linux:
  - fixed parsing of big /proc/stat for uptime.

04 April 2008: Overview of changes in 2.22.1
============================================
* Fixed compilation/dist for !linux.
  Closes #525953.

10 Mars 2008: Overview of changes in 2.22.0
===========================================
* linux:
  - fixed proc_kernel.
 
25 February 2008: Overview of changes in 2.21.92
================================================
* linux:
  - fixed smaps parsing on >= 2.6.24.x.

14 January 2008: Overview of changes in 2.21.5
==============================================
* freebsd:
  - fixed build on GNU/kfreebsd. Petr Salinger.
  - fixed procmem units. Kuang-che Wu.

28 October 2007: Overview of changes in 2.21.1
==============================================
* don't export _p/_s private symbols anymore. This is not an API/ABI breakage.
* darwin implementation by Benjamin Reed.
* linux:
  - splitted fsusage and mountlist implementations;
  - smarter mountlist(allfs = False);
  - fixed some compile warning on 64bit;
* solaris:
  - fixed netload build by Henry Zhang.

16 September 2007: Overview of changes in 2.20.0
================================================
* Updated translations.

27 August 2007: Overview of changes in 2.19.92
==============================================
* Fixed stupid hardwired path in linux/sysinfo.c

26 August 2007: Overview of changes in 2.19.91
==============================================
* Translations updates.
* linux:
  - Small internal improvement. Might fix sysinfo when having more than
  8 CPUS.

9 July 2007: Overview of changes in 2.19.5
==========================================
* linux:
  - fixed proc_map for >= 2.6.22
* freebsd:
  - implemented procwd and procopenfiles
    Joe Marcus Clarke

18 June 2007: Overview of changes in 2.19.4
===========================================
* solaris:
  - fixed build. Damien Carbery.

3 June 2007: Overview of changes in 2.19.3
==========================================
* Small API change. get_proclist returns pid_t instead of unsigned
  for consistency.
* linux:
  - fixed an typo bug in open_files.
  - got rid of useless glibtop_init_s calls.
* Enable example build by defaut.
* Dropped G_GNUC_INTERNAL attributes no longer needed.
  This will please people trying to implement G_GNUC macro with a non
  GNU Compiler.

13 May 2007: Overview of changes in 2.19.2
==========================================
* This is the first release of the 2.19.x series.
* Got rid of inodedb (you don't even know what it is ;)
* New unstable API glibtop_get_proc_wd to get working directories of
  a process.
* Fixed OpenBSD build. Jasper Lievisse Adriaanse.

25 February 2007: Overview of changes in 2.14.8
===============================================
* bsd implementations have been splitted by Joe Marcus Clarke
  and Alexander Nedotsukov. (k)freeBSD now has a separate implementation.

February 10, 2007: Overview of changes in 2.14.7
================================================
* bsd:
  - massive kfreeBSD and FreeBSD updates by Roy Marples and Petr Salinger.
* mountlist can now ignore objfs and ctfs filesystems.
* fsusage won't return bavail > bfree anymore.

January 14, 2007: Overview of changes in 2.14.6
===============================================
* linux:
  - fixed stack overflow in glibtop_get_proc_map
  - fixed handling of long filenames in glibtop_get_proc_map and glibtop_get_proc_open_files.
  - micro-optimization

December 3, 2006: Overview of changes in 2.14.5
===============================================
* Added kfreebsd support (Petr Salinger <Petr.Salinger@seznam.cz>).
* Added solaris glibtop_get_proc_open_files (Henry Zhang <hua.zhang@sun.com>).
* Migrated to gtk-doc (Germán Poó-Caamaño <gpoo@ubiobio.cl>).
* glibtop_get_mountlist can now ignore nsfd FS. 

September 16, 2006: Overview of changes in 2.14.4
=================================================
* Fixed linux maps/smaps parsing on 64bit kernel.

September 5, 2006: Overview of changes in 2.14.3
================================================
* Fixed build with --as-needed.
* Added missing G_BEGIN_DECLS/G_END_DECLS.

July 27, 2006: Overview of changes in 2.14.2
============================================
* Updated solaris support (hua.zhang@sun.com)
* Small linux updates and improvments.

April 10, 2006: Overview of changes in 2.14.1
=============================================
* Updated translations.
* Fixed NetBSD port (Julio M. Merino Vidal  <jmmv@NetBSD.org>).
* Fixed some warnings.

Mars 13, 2006: Overview of changes in 2.14.0
============================================
* Updated translations.

February 27, 2006: Overview of changes in 2.13.92
=================================================
* Fixed proc_state documentation.
* Updated mountlist ignore list.

January 23, 2006: Overview of changes in 2.13.3
===============================================
* linux:
	- fixe get_procmap for linux < 2.6.14.

January 2, 2006: Overview of changes in 2.13.2
==============================================
* Fixed libtool versioning (James Henstridge)

December 15, 2005: Overview of changes in 2.13.1
================================================
* linux:
    - fixed proclist
    - implemented server->real_ncpu

December 13, 2005: Overview of changes in 2.13.0
================================================
* Requires automake-1.9 (James Henstridge)
* Supports up to 32 CPU
* Supports Linux smaps
* linux: fixed SMP detection

This release is not ABI compatible with previous releases. Sorry.

November 29, 2005: Overview of changes from 2.12.0 to 2.12.1
============================================================
* Dropped dead files
* linux: 1-line cleanup.

September 4, 2005: Overview of changes from 2.11.92 to 2.12.0
=============================================================
* Updated translations.

August 22, 2005: Overview of changes from 2.11.91 to 2.11.92
============================================================
* Linux:
  - fixed for 2.6 without /sys
  - glibtop_get_cpu() : Do not add irq, softirq and iowait to idle.

August 9, 2005: Overview of changes from 2.11.90 to 2.11.91
===========================================================
* All:
  - cleaned some headers.
  - removed static examples.
* Linux:
  - fixed some issues with 2.6 without /sys

July 24, 2005: Overview of changes from 2.11.2 to 2.11.90
=========================================================
* Linux:
  - fixed glibtop_uptime .flags.

July &3, 2005: Overview of changes from 2.11.1 to 2.11.2
========================================================
* Linux:
  - little improvements for 2.6.

July 3, 2005: Overview of changes from 2.11.0 to 2.11.1
=======================================================
* Linux:
  - glibtop_get_swap : added page(in|out) for linux 2.6.

June 8, 2005: Overview of changes from 2.10.x to 2.11.0
=======================================================
* Replaced a lot of macros by functions
* Got rid of dozens of useless files.
* libgtop 2.11.x are and will stay API and ABI compatible with 2.10.x, i swear.

April 10, 2005: Overview of changes from 2.10.0 to 2.10.1
=========================================================
* Updated i18n.
* Little cleanup and fixed gcc-4.0 compilation.
* linux: fixed loadavg and uptime if locale != C.
  Updated siglist.
* Tighter libgtop-2.0.pc.

Mars 7, 2005: Overview of Changes from 2.9.92 to 2.10.0
=======================================================
* Updated i18n.

February 28, 2005: Overview of Changes from 2.9.90 to 2.9.92
============================================================
* *BSD updated by marcus@freebsd.org (Joe Marcus Clarke).
* Removed a lot of dead files :)
* Don't build&install libgtop_daemon when it's never used.

February 6, 2004: Overview of Changes from 2.9.90 to 2.9.91
==========================================================
* Fixed typo in stub.
* Updated i18n.

January 24, 2004: Overview of Changes from 2.9.4 to 2.9.90
==========================================================
* Updated Linux support.

January 10, 2004: Overview of Changes from 2.9.3 to 2.9.4
=========================================================
* New glibtop_proc_open_files nick@reloco.com.ar (Nicolás Lichtmaier).
* Updated AIX support (Christophe Belle).

December 20, 2004: Overview of Changes from 2.9.0 to 2.9.3
==========================================================
* Removed libgtop_names.
* Fixed Argument passing between library and server. #139809.
* *BSD updated by marcus@freebsd.org (Joe Marcus Clarke).
* glibtop_get_mountlist(False) now ignores 'unknown' fs.


November 30, 2004: Overview of Changes from 2.8.1 to 2.9.0
=========================================================
* glibtop_get_netload : Fixed segfault on linux with ppp devices.
* NEW glibtop_get_netlist : retrieves the list of all available interfaces.
* NEW LIBGTOP_CHECK_VERSION(major, minor, micro)
* Removed dead kernel patch and implementation.
* Cleanups on Linux and Solaris.

October 11, 2004: Overview of Changes from 2.8.0 to 2.8.1
=========================================================
* Improved Solaris and AIX support.


August 13, 2004: Overview of Changes from 2.7.92 to 2.8.0
=========================================================
* No changes


August 30, 2004:
===============
* Applied some *BSD patches.
* Removed old files.


August 15, 2004:
===============
* Fixed compilation with C89-only compilers and old libc.


August 3, 2004:
==============
* Some cleanups.
* Fixed the behaviour of some linux proc_*() functions.
* Updated the documentation.


July 19, 2004: Overview of Changes from 2.6.1 to 2.7.4
======================================================
* Plenty of code cleanups. Uninlined a lot of functions. ~5-10KB object size
  reduction.
* Glibify a bit more.
* API changes:
 - glibtop_fsusage provides total read and writes since boot_time.
 - glibtop_netload provides hardware address. IPv6 enable.
 - Added glibtop_get_proc_argv.

Work in progress :
* Finish glibtop_fsusage implementation for Linux.
* Some fuctions don't conform to the documentation, e.g. proctime.

March 11, 2004:
===============

* Released LibGTop 2.5.99 "Gross Work", dedicated to people who do push-ups
  in the loos.

  - plenty of code cleanups

  - removed the dependency on libgnome, only glib required now

  - Linux 2.6 support, NetBSD support and better FreeBSD support

  - Make the block size available for filesystem statistics

February 27, 2001:
=================

* Released LibGTop 1.0.12 "Gerolzhofen".

  - fix for Solaris 8 from Laszlo PETER (msg_limits, sem_limits).

  - fix for FreeBSD 4.2 from Rolf Grossmann (FreeBSD now uses
    `_KERNEL' instead of `KERNEL'). Bug #51334.

  - for BSDI, comment out `subnet' field in netload; this should make
    it compile, but there may be other problems. Bug #13345.

  This release is for GNOME 1.4 Beta2.

February 14, 2001:
=================

* Released LibGTop 1.0.11 "Jasmin":

  [The release which was supposed to be called "Gerolzhofen".]

  - merged in the Solaris code from LIBGTOP_1_1_2_PATCHES.

  - minor OpenBSD fixes.

  - again a bunch of updated translations.

  Please test the Solaris stuff and report and bugs and
  problems as soon as possible; I'll make a new release
  for the 2nd beta of GNOME 1.4 if necessary.

November 20, 2000:
=================

* Released LibGTop 1.0.10 "November Rain":

  - this release contains a bunch of updated translations.

May 25, 2000:
============

* Released LibGTop 1.0.9 "Stuttgart".

  (LibGTop 1.0.8 "Frankfurt" was not publically released.)

February 15, 2000:
=================

* Released LibGTop 1.0.7 "Copenhagen":

  - this is a bug fix release for the GUADEC CD-ROM;
    it contains fixes in both the Linux and *BSD sysdeps
    directory.

October 18, 1999:
================

* Released LibGTop 1.0.6 "October LibGTop":

  - compilation fixes for FreeBSD.
  - updated reference manual.

September 29, 1999:
==================

* Released LibGTop 1.0.5.

